﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class GameController : MonoBehaviour {

	public int gameScoreLeft = 0;
	public int gameScoreRight = 0;
	GameObject gameBall;
	Rigidbody gameBallRigidBody;
	Text leftScoreBoard;
	Text rightScoreBoard;

    [SerializeField]
    AudioClip scoreSound;

    bool intermission = false;

	void Start () {
		gameBall = GameObject.Find ("GameBall");
		gameBallRigidBody = gameBall.GetComponent<Rigidbody> ();
		leftScoreBoard = GameObject.Find ("Left").GetComponentInChildren<Text> ();
		rightScoreBoard = GameObject.Find ("Right").GetComponentInChildren<Text> ();
	}
	
    void Update()
    {
        if (!intermission && gameBall.transform.position.y < -4f)
        {
            OutOfBounds();
        }
    }

	public void AddScoreLeft() {
        if (intermission) return;
		gameScoreLeft++;
        AudioSource.PlayClipAtPoint(scoreSound, Camera.main.transform.position, 0.35f);

        leftScoreBoard.text = gameScoreLeft.ToString ();
		StartCoroutine (ResetBallLocation());
	}
	public void AddScoreRight()
    {
        if (intermission) return;
        gameScoreRight++;
        AudioSource.PlayClipAtPoint(scoreSound, Camera.main.transform.position + Camera.main.transform.forward, 0.35f);
        rightScoreBoard.text = gameScoreRight.ToString ();
		StartCoroutine (ResetBallLocation());
	}

    public void OutOfBounds()
    {
        if (intermission) return;
        StartCoroutine(ResetBallLocation());
    }

	IEnumerator ResetBallLocation() {
        intermission = true;
        yield return new WaitForSeconds (2f);
		gameBallRigidBody.isKinematic = true;
		gameBall.transform.position = new Vector3 (0,17,0);
        
		yield return new WaitForSeconds (2f);
		gameBallRigidBody.isKinematic = false;
        intermission = false;

    }
}
