﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class ShockWave : MonoBehaviour {


    float initialStrenght;
    float currentSize;
    const float waveSpeed = 20f;
    List<Collider> alreadyHit = new List<Collider>();
    bool fading = false;
    float fadeOut = 1f;
    [SerializeField]SpriteRenderer sprite;
    [SerializeField]
    AudioClip audioClip;
	void Start () {
    }

    void Update() {
        if (fading) {
            FadeOut();
        }
                else
        {

            currentSize += Time.deltaTime* waveSpeed;
            if (currentSize > initialStrenght)
            {
                fading = true;
            } else
            {
                float height = .05f;// - (currentSize / initialStrenght);
                    transform.localScale = new Vector3(currentSize, height, currentSize);
           }
        }
    }
    void OnTriggerEnter(Collider _c)
    {
        if (!fading && !alreadyHit.Contains(_c))
        {
            alreadyHit.Add(_c);
            Rigidbody _rb = _c.GetComponent<Rigidbody>();
            if (_rb != null)
            {
                float _push = Mathf.Max(Mathf.Min((initialStrenght / currentSize),10),.01f);
                Vector3 _force = (_c.transform.position - transform.position + Vector3.up * 0.5f).normalized * _push * 100;
                _rb.AddForce(_force);
                AudioSource.PlayClipAtPoint(audioClip, Camera.main.transform.position + Camera.main.transform.forward, _push * 0.35f);
            }
        }
    }

    public void Init(float str,Collider owner)
    {
        alreadyHit.Add(owner);
        initialStrenght = str;
        currentSize = 0.0001f;
    }
    void ShockWaveEnd()
    {
        Destroy(gameObject);
    }

    void FadeOut()
    {
        fadeOut -= Time.deltaTime * 2;
        if (fadeOut < 0)
        {
            ShockWaveEnd();
        } else
        {
            Color _c = new Color(fadeOut, fadeOut, fadeOut, fadeOut);
            sprite.color = _c;
        }
    }

}
