﻿Shader "FGJ17/ShockWave"
{
	Properties
	{
		_MainTex ("Texture", 2D) = "white" {}
		_Refract ("Refract",Range(0,1)) = 1
	}
	SubShader
	{
		// No culling or depth
		Cull Off ZWrite Off ZTest Always

		Pass
		{
			CGPROGRAM
			#pragma vertex vert
			#pragma fragment frag
			
			#include "UnityCG.cginc"

			struct appdata
			{
				float4 vertex : POSITION;
				float2 uv : TEXCOORD0;
				half4 color : COLOR;
			};

			struct v2f
			{
				float4 vertex : SV_POSITION;
				float2 uv : TEXCOORD0;
				//float2 screenuv : TEXCOORD1;
				half4 color : COLOR;
			};

			v2f vert (appdata v)
			{
				v2f o;
				o.vertex = mul(UNITY_MATRIX_MVP, v.vertex);
				o.uv = v.uv;
				//o.screenuv = ((o.vertex.xy / o.vertex.w) + 1) * 0.5;
				o.color = v.color;
				return o;
			}
			
			sampler2D _MainTex;
			uniform sampler2D _GlobalRefractionTex;
			float _Refract;

			fixed4 frag (v2f i) : SV_Target
			{
				fixed4 _ref = tex2D(_GlobalRefractionTex,i.uv);
				fixed2 direction = float2(0, 0);
				direction = normalize(float2((_ref.a - 0.5) * 2, (_ref.a - 0.5) * 2));

				fixed4 _ori = tex2D(_MainTex,i.uv + _Refract * direction);
				
				return _ori;
			}
			ENDCG
		}
	}
}
